Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ImportResource

    java.lang.Object
      com.jaspersoft.jasperserver.util.ImportResource

    public class ImportResource

extends java.lang.Object

Constructor Summary
`ImportResource(RepositoryService repo, UserAuthorityService auth, ReportSchedulingInternalService reportScheduler, ExecutionContext context, java.lang.String catalogPath, java.lang.String catalogFileName, java.lang.String prependPath)`
`ImportResource(RepositoryService repo, UserAuthorityService auth, ReportSchedulingInternalService reportScheduler, ExecutionContext context, java.lang.String catalogPath, java.lang.String catalogFileName, java.lang.String prependPath, java.lang.String characterEncoding)`

Method Summary
`protected void` | `buildParentFolder(Resource res, ResourceBean bean)`
`protected void` | `createRoles(RoleBean[] roleBeans)`
`protected void` | `fillCommonData(Resource res, ResourceBean bean)`
`protected void` | `fillData(ContentResource res, ContentResourceBean bean)`
`protected void` | `fillData(DataTypeBean bean, DataType dt)`
`protected void` | `fillData(FileResource fr, FileResourceBean bean)`
`protected void` | `fillData(Folder folder, FolderBean bean)`
`protected void` | `fillData(InputControlBean bean, InputControl ic)`
`protected void` | `fillData(JdbcDataSourceBean bean, JdbcReportDataSource ds)`
`protected void` | `fillData(JndiJdbcDataSourceBean bean, JndiJdbcReportDataSource ds)`
`protected void` | `fillData(ListOfValuesBean bean, ListOfValues lov)`
`protected void` | `fillData(MondrianConnection conn, MondrianConnectionBean bean)`
`protected void` | `fillData(MondrianXMLADefinition mx, MondrianXmlaDefinitionBean bean)`
`protected void` | `fillData(OlapUnit unit, OlapUnitBean bean)`
`protected void` | `fillData(QueryBean bean, Query query)`
`protected void` | `fillData(ReportUnitBean bean, ReportUnit unit)`
`protected void` | `fillData(XMLAConnection conn, XmlaConnectionBean bean)`
`protected void` | `fillDataForRef(FileResource targetRes, FileResourceBean targetBean)`
`protected java.util.Map` | `getAllRoles()`
`protected java.io.FileInputStream` | `getBinaryData(java.lang.String fullPath)`
`protected void` | `handleFileResourceRef(FileResource res, FileResourceBean bean)`
`protected void` | `handleSaveFolder(Folder folder)`
`protected void` | `handleSaveResource(Resource res)`
`protected void` | `loadCatalogFile()`
`static void` | `main(java.lang.String[] args)`
`boolean` | `process()`
`ContentResource` | `process(ContentResourceBean bean, boolean isTopLevel)`
`DataSource` | `process(DataSourceBean bean, boolean isTopLevel)`
`DataType` | `process(DataTypeBean bean, boolean isTopLevel)`
`FileResource` | `process(FileResourceBean bean, boolean isTopLevel)`
`Folder` | `process(FolderBean bean, boolean isTopLevel)`
`InputControl` | `process(InputControlBean bean, boolean isTopLevel)`
`ListOfValues` | `process(ListOfValuesBean bean, boolean isTopLevel)`
`MondrianConnection` | `process(MondrianConnectionBean bean, boolean isTopLevel)`
`MondrianXMLADefinition` | `process(MondrianXmlaDefinitionBean bean, boolean isTopLevel)`
`OlapClientConnection` | `process(OlapClientConnectionBean bean, boolean isTopLevel)`
`OlapUnit` | `process(OlapUnitBean bean, boolean isTopLevel)`
`Query` | `process(QueryBean bean, boolean isTopLevel)`
`ReportJob` | `process(ReportJobBean bean, boolean isTopLevel)`
`ReportUnit` | `process(ReportUnitBean bean, boolean isTopLevel)`
`void` | `process(UserRoleHolderBean bean, boolean isTopLevel)`
`void` | `processReportJobs(ReportJobBean[] beans)`
`void` | `processResource(ResourceBean bean)`
`void` | `processUsersRoles(UserRoleHolderBean bean)`
`protected java.lang.String` | `setPrependPath(java.lang.String inPath)`
`protected java.lang.String` | `setPrependPathNoSlash(java.lang.String inPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportResource

    public ImportResource(RepositoryService repo,
                          UserAuthorityService auth,
                          ReportSchedulingInternalService reportScheduler,
                          ExecutionContext context,
                          java.lang.String catalogPath,
                          java.lang.String catalogFileName,
                          java.lang.String prependPath)

### ImportResource

    public ImportResource(RepositoryService repo,
                          UserAuthorityService auth,
                          ReportSchedulingInternalService reportScheduler,
                          ExecutionContext context,
                          java.lang.String catalogPath,
                          java.lang.String catalogFileName,
                          java.lang.String prependPath,
                          java.lang.String characterEncoding)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### process

    public boolean process()

  Returns:
    true if successful, false otherwise

### processResource

    public void processResource(ResourceBean bean)

### processUsersRoles

    public void processUsersRoles(UserRoleHolderBean bean)

### processReportJobs

    public void processReportJobs(ReportJobBean[] beans)

### process

    public Folder process(FolderBean bean,
                          boolean isTopLevel)

### process

    public ReportUnit process(ReportUnitBean bean,
                              boolean isTopLevel)

### process

    public OlapUnit process(OlapUnitBean bean,
                            boolean isTopLevel)

### process

    public FileResource process(FileResourceBean bean,
                                boolean isTopLevel)

### process

    public ContentResource process(ContentResourceBean bean,
                                   boolean isTopLevel)

### process

    public DataSource process(DataSourceBean bean,
                              boolean isTopLevel)

### process

    public OlapClientConnection process(OlapClientConnectionBean bean,
                                        boolean isTopLevel)

### process

    public MondrianXMLADefinition process(MondrianXmlaDefinitionBean bean,
                                          boolean isTopLevel)

### process

    public MondrianConnection process(MondrianConnectionBean bean,
                                      boolean isTopLevel)

### process

    public InputControl process(InputControlBean bean,
                                boolean isTopLevel)

### process

    public DataType process(DataTypeBean bean,
                            boolean isTopLevel)

### process

    public ListOfValues process(ListOfValuesBean bean,
                                boolean isTopLevel)

### process

    public Query process(QueryBean bean,
                         boolean isTopLevel)

### process

    public void process(UserRoleHolderBean bean,
                        boolean isTopLevel)

### process

    public ReportJob process(ReportJobBean bean,
                             boolean isTopLevel)

### createRoles

    protected void createRoles(RoleBean[] roleBeans)

### getAllRoles

    protected java.util.Map getAllRoles()

### handleFileResourceRef

    protected void handleFileResourceRef(FileResource res,
                                         FileResourceBean bean)

### handleSaveResource

    protected void handleSaveResource(Resource res)

### handleSaveFolder

    protected void handleSaveFolder(Folder folder)

### fillCommonData

    protected void fillCommonData(Resource res,
                                  ResourceBean bean)

### fillData

    protected void fillData(Folder folder,
                            FolderBean bean)

### fillData

    protected void fillData(ReportUnitBean bean,
                            ReportUnit unit)

### fillData

    protected void fillData(OlapUnit unit,
                            OlapUnitBean bean)

### fillData

    protected void fillData(JdbcDataSourceBean bean,
                            JdbcReportDataSource ds)

### fillData

    protected void fillData(JndiJdbcDataSourceBean bean,
                            JndiJdbcReportDataSource ds)

### fillData

    protected void fillData(MondrianConnection conn,
                            MondrianConnectionBean bean)

### fillData

    protected void fillData(XMLAConnection conn,
                            XmlaConnectionBean bean)

### fillData

    protected void fillData(MondrianXMLADefinition mx,
                            MondrianXmlaDefinitionBean bean)

### fillData

    protected void fillData(FileResource fr,
                            FileResourceBean bean)

### fillData

    protected void fillData(ContentResource res,
                            ContentResourceBean bean)

### fillDataForRef

    protected void fillDataForRef(FileResource targetRes,
                                  FileResourceBean targetBean)

### fillData

    protected void fillData(DataTypeBean bean,
                            DataType dt)

### fillData

    protected void fillData(ListOfValuesBean bean,
                            ListOfValues lov)

### fillData

    protected void fillData(QueryBean bean,
                            Query query)

### fillData

    protected void fillData(InputControlBean bean,
                            InputControl ic)

### getBinaryData

    protected java.io.FileInputStream getBinaryData(java.lang.String fullPath)

### loadCatalogFile

    protected void loadCatalogFile()

### buildParentFolder

    protected void buildParentFolder(Resource res,
                                     ResourceBean bean)

### setPrependPath

    protected java.lang.String setPrependPath(java.lang.String inPath)

### setPrependPathNoSlash

    protected java.lang.String setPrependPathNoSlash(java.lang.String inPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.